package com.steerinfo.dil.controller;

import com.alibaba.fastjson.JSON;
import com.steerinfo.dil.feign.ESFeign;
import com.steerinfo.dil.service.impl.RmsMaterialTypeServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:ZhouZhou
 * @CreateTime:2021/12/6 17:25
 * @Version:V1.0
 */
@RestController
@RequestMapping("/${api.version}/rmsmaterialtype")
public class RmsMaterialTypeController extends BaseRESTfulController {
    @Autowired
    RmsMaterialTypeServiceImpl rmsMaterialTypeService;
    @Autowired
    ColumnDataUtil columnDataUtil;

    @Autowired
    ESFeign esFeign;

    @ApiOperation(value="框计算物资种类", notes="分页查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "376", required = false, dataType = "BigDecimal"),
    })
    @PostMapping(value = "/getMaterialTypeList")
    public RESTfulResult getMaterialTypeList(@RequestBody(required = false) Map<String,Object> mapValue,
                                         Integer apiId,
                                         Integer pageNum,
                                         Integer pageSize,
                                         String con){
        if (mapValue==null){
            mapValue=new HashMap<>();
        }
        if (con != null && !"null".equals(con)){
            mapValue.put("con","%" + con + "%");
        }
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String, Object>> columnList = rmsMaterialTypeService.getMaterialTypeList(mapValue);
        PageListAdd data = columnDataUtil.tableColumnData(apiId, null, columnList);
        return success(data);
    }

    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "376", required = false, dataType = "BigDecimal"),
    })
    @PostMapping(value = "/getInwardContractMaterial")
    public RESTfulResult getInwardContractMaterial(@RequestBody(required = false) Map<String,Object> mapValue,
                                             Integer apiId,
                                             Integer pageNum,
                                             Integer pageSize,
                                             String con){
        if (mapValue==null){
            mapValue=new HashMap<>();
        }
        if(con != null){
            mapValue.put("con","%" + con + "%");
        }
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String, Object>> columnList = rmsMaterialTypeService.getInwardContractMaterial(mapValue);
        PageListAdd data = columnDataUtil.tableColumnData(apiId, null, columnList);
        return success(data);
    }

    /**
     * 新增货物品名
     * @param mapValue
     * @return
     */
    @PostMapping("/insertMaterialType")
    public RESTfulResult insertMaterialType(@RequestBody(required = false) Map<String,Object> mapValue){
        int i = rmsMaterialTypeService.insertMaterialType(mapValue);
        return success(i);
    }


}
